# $Revision: 1.20 $, $Date: 2002/05/05 17:44:59 $
Summary:	Applet that monitors the network
Summary(fr):	Applette qui surveille le rseau
Summary(pl):	Aplet monitorujcy sie
Name:		wmnet
Version:	1.06
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.digitalkaos.net/linux/wmnet/download/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Icon:		wmnet.gif
URL:		http://www.digitalkaos.net/linux/wmnet/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix 	/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
Wmnet uses ip accounting in the Linux kernel to monitor your network.

%description -l fr
Wmnet utilise "l'ip accounting" dans le kernel de Linux pour
surveiller le rseau.

%description -l pl
Wmnet uywa "ip accounting" w jdrze Linuksa do monitorowania sieci.

%prep
%setup -q

%build
xmkmf -a
%{__make} CFLAGS="%{rpmcflags} -Wall -I%{_includedir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install wmnet $RPM_BUILD_ROOT%{_bindir}
install wmnet.man $RPM_BUILD_ROOT%{_mandir}/man1/wmnet.1x
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf README Changelog

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e /proc/net/ip_acct ]; then
        echo "You must have IP accounting enabled in your kernel!"
fi

%files
%defattr(644,root,root,755)
%doc *.gz

%attr(755,root,root) %{_bindir}/wmnet
%{_mandir}/man1/*

#%{_applnkdir}/DockApplets/wmnet.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmnet.spec,v $
Revision 1.20  2002/05/05 17:44:59  kloczek
- release 2.

Revision 1.19  2002/02/23 05:10:58  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/25 16:47:23  blues
- 1.06
- desktop-files are out

Revision 1.15  2001/11/21 02:30:02  blues
- cosmetic in files
NOTE: there is new version avaible

Revision 1.14  2001/10/03 13:19:04  qboosh
- updated URL, added Source URL (note: 1.06 on http)

Revision 1.13  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/21 16:44:11  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.8  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:53:50  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jul 11 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.04-2]
- spec rewritten for PLD use,
- based on spec file by Jesse B. Off <joff@iastate.edu>.
